# On terraform block variables cannot be used
terraform {
  backend "s3" {
    bucket                  = "{{ environments[env].s3_bucket_name | mandatory }}"
    key                     = "swarm_cluster/terraform.tfstate"
    region                  = "{{ environments[env].aws_region | mandatory }}"
    dynamodb_table          = "{{ environments[env].dynamodb_table_name | mandatory }}"
    encrypt                 = true
{% if environments[env].aws_profile is defined and environments[env].aws_profile != "" %}
    profile                 = "{{ environments[env].aws_profile }}"
{% endif %}
  }
}

module "swarm_cluster" {
  source                = "git::https://gitlab.com/live9/terraform/modules.git///swarm_cluster?ref={{ environments[env].terraform_modules_version | default('master') }}"
  environment           = var.environment
  project               = var.project
  aws_region            = var.aws_region
  manager_count         = var.manager_count
  worker_count          = var.worker_count
  manager_instance_type = var.manager_instance_type
  worker_instance_type  = var.worker_instance_type
  key_path              = var.key_path
  private_key_default   = var.key_path_private
  ssh_key_name          = local.ssh_key_name
  create_nfs_sg         = var.create_nfs_sg
  external_eips         = var.external_eips
}
